#!/bin/bash

if [ -z "$1" ]; then
    echo "Error: please specify a value for PNAME"
    exit 1
fi

mkdir -p .preload

gcc -DPNAME="\"${1}\"" -shared -fPIC -o .preload/liboverride_bindtextdomain.so ./preload/override_bindtextdomain.c -ldl

if [ $? -eq 0 ]; then
    echo "Library successfully compiled: liboverride_bindtextdomain.so"
else
    echo "Compilation error"
    exit 1
fi
