module main;

import singlang;
import shopping;
import std.stdio : writeln;

void main() {
    if (!Singlang.set("test", "/usr/share/locale")) {
        writeln("Failed to initialize translations");
        return;
    }

    addItem(_("Milk"));
    addItem(_("Bread"));
    addItem(_("Eggs"));

    printList();
    printSummary();

    removeItem(1);

    writeln(_("After removing an item:"));
    printList();
    printSummary();

    writeln(_("Happy shopping!"));
}
